# $Revision: 1.17 $, $Date: 2003/02/08 17:22:01 $
Summary:	Linux USB utilities
Summary(pl):	Linuksowe narzdzia do USB
Summary(pt_BR):	Utilitrios Linux USB
Name:		usbutils
Version:	0.11
Release:	3
License:	GPL
Group:		Applications/System
Source0:	http://usb.in.tum.de/download/usbutils/%{name}-%{version}.tar.gz
Source1:	http://www.linux-usb.org/usb.ids
Patch0:		%{name}-no_external_getopt.patch
Patch1:		%{name}-hwdata_in_misc.patch
Patch2:		%{name}-ids.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
usbutils contains a utility for inspecting devices connected to the
USB bus. It requires a Linux kernel version 2.3.15 or newer
(supporting the '/proc/bus/usb' interface) or patched PLD's 2.2
kernel.

%description -l pl
Pakiet usbutils zawiera narzdzie do przegldania urzdze
podczonych do szyny USB. Wymaga jdra w werji 2.3.15 lub nowszej (z
obsug interfejsu /proc/bus/usb) lub jdra 2.2 z PLD.

%description -l pt_BR
Este pacote contm utilitrios para inspecionar dispositivos
conectados a um barramento USB.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

# paranoid check whether usb.ids in _sourcedir isn't too old
if [ "`wc -l < %{SOURCE1}`" -lt "`wc -l < usb.ids`" ] ; then
	echo "usb.ids needs to be updated"
	exit 1
fi
cp -f %{SOURCE1} .
%patch2 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
cd libusb
rm -f missing
%{__aclocal}
%{__autoconf}
# don't use --force here!
automake -a -c --foreign
cd ..
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man8/*
%{_datadir}/misc/usb.ids

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: usbutils.spec,v $
Revision 1.17  2003/02/08 17:22:01  kloczek
- merge translations from Conectiva.

Revision 1.16  2003/02/07 10:55:21  qboosh
- use fresh usb.ids from www.linux-usb.org; release 3

Revision 1.15  2002/12/26 02:56:17  qboosh
- better solution (automake --force breaks things)
- call libtoolize in proper dir
- ids patch - fix for 2 bad entries in usb.ids, added eGalax TouchKit ids
- release 2

Revision 1.14  2002/12/25 21:10:34  radek
- hack, which allows to build in Ac environment

Revision 1.13  2002/10/09 13:14:50  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.12  2002/08/17 12:46:51  kloczek
- updated to 0.11: bugfixes.

Revision 1.11  2002/07/05 21:02:56  qboosh
- removed non-existing patch2

Revision 1.10  2002/06/30 11:44:25  kloczek
- updated to 0.10 (bug fixes and more USB devices registered in usb.ids),
- fixes for not using private getopt(),
- added hwdata_in_misc patch (put usb.ids in /usr/share/misc).

Revision 1.9  2002/06/23 20:32:36  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.8  2002/05/21 23:14:52  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.7  2002/04/20 16:27:58  marcus
- added regeneration ac/am stuff
- BR: autoconf,automake,libtool
- rel.3.

Revision 1.6  2002/02/22 23:29:50  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:15:16  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/20 10:49:16  qboosh
- adapterized, pl translation; release 2

Revision 1.3  2001/06/13 09:45:46  kloczek
- updated to 0.8.

Revision 1.2  2001/05/22 02:19:20  kloczek
- first PLD release.

* Sat Dec 16 2000 Pixel <pixel@mandrakesoft.com> 0.7-1mdk
- initial spec
